org.codehaus.groovy.runtime.memoize

## Interface MemoizeCache.ValueProvider<K,V>

- Type Parameters:
    `K` - type of the key
    `V` - type of the value
  Enclosing interface:
    MemoizeCache<K,V>

      public static interface MemoizeCache.ValueProvider<K,V>

  Represents a provider used to create value

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `provide(K key)` Provide the created value

- - ### Method Detail

    - #### provide

          V provide(K key)

      Provide the created value